PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | Friends | List of all members
PIPSocket::QoS Struct Reference

`#include <ipsock.h>`

Collaboration diagram for PIPSocket::QoS:
[legend]

## Classes
struct | Flow

## Public Member Functions
| QoS (QoSType type=BestEffortQoS)
| QoS (const PString &str)

## Public Attributes
QoSType | m_type
int | m_dscp
AddressAndPort | m_remote
struct PIPSocket::QoS::Flow | m_transmit
struct PIPSocket::QoS::Flow | m_receive

## Friends
ostream & | operator<< (ostream &strm, const PIPSocket::QoS &qos)
istream & | operator>> (istream &strm, PIPSocket::QoS &qos)

## Constructor & Destructor Documentation

PIPSocket::QoS::QoS | ( | QoSType | type = `BestEffortQoS` | ) |

PIPSocket::QoS::QoS | ( | const PString & | str | ) |

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const PIPSocket::QoS & | qos
| ) |  |
| friend

istream& operator>> | ( | istream & | strm,
|  | PIPSocket::QoS & | qos
| ) |  |
| friend

## Member Data Documentation

int PIPSocket::QoS::m_dscp

struct PIPSocket::QoS::Flow PIPSocket::QoS::m_receive

AddressAndPort PIPSocket::QoS::m_remote

struct PIPSocket::QoS::Flow PIPSocket::QoS::m_transmit

QoSType PIPSocket::QoS::m_type

The documentation for this struct was generated from the following file:

- ipsock.h